## ledger-autosync 1.0.2

=== requirements.txt ===
asn1crypto==0.24.0
beautifulsoup4==4.7.1
cffi==1.12.2
cryptography==2.6.1
entrypoints==0.3
jeepney==0.4
keyring==19.0.1
lxml==4.3.3
mock==2.0.0
nose==1.3.7
ofxclient==2.0.3
ofxhome==0.3.3
ofxparse==0.20
pbr==5.1.3
pycparser==2.19
SecretStorage==3.1.1
six==1.12.0
soupsieve==1.9.1

## ledger-autosync 0.2.3

=== debian/changelog ===
ledger-autosync (0.2.3-2) unstable; urgency=medium

  * Add Depends on hledger | ledger and Recommends on hledger, ledger.
  * Add watch file.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jun 2015 12:15:53 -0400

ledger-autosync (0.2.3-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Wed, 31 Dec 2014 13:21:50 -0500

=== debian/control ===
Source: ledger-autosync
Section: utils
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: python-setuptools (>= 0.6b3), python, debhelper (>= 9), dh-python, python-mock, python-nose, python-ofxparse (>= 0.14), python-ofxclient
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/egh/ledger-autosync
Vcs-Git: git://anonscm.debian.org/collab-maint/ledger-autosync.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ledger-autosync.git;a=summary

Package: ledger-autosync
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, hledger | ledger
Recommends: hledger, ledger
Description: automated synchronization between OFX providers and ledger files
 ledger-autosync is a program to pull down transactions from your bank
 and create ledger transactions for them. It is designed to only
 create transactions that are not already present in your ledger files.
 This should make it comparable to some of the automated synchronization
 features available in products like GnuCash, Mint, etc.

## ledger-autosync 0.2.5

=== debian/changelog ===
ledger-autosync (0.2.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 09 Sep 2016 21:49:52 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: python-setuptools (>= 0.6b3), python, debhelper (>= 9), dh-python, python-mock, python-nose, python-ofxparse (>= 0.14), python-ofxclient
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/egh/ledger-autosync
-Vcs-Git: git://anonscm.debian.org/collab-maint/ledger-autosync.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/ledger-autosync.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ledger-autosync.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ledger-autosync.git
 
 Package: ledger-autosync
 Architecture: all

## ledger-autosync 0.3.5

=== debian/changelog ===
ledger-autosync (0.3.5-1) unstable; urgency=medium

  * New upstream version.
  * Drop Recommends field.  closes: #842492.

 -- Clint Adams <clint@debian.org>  Sat, 23 Sep 2017 15:20:16 -0400

=== debian/control ===
Source: ledger-autosync
Section: utils
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends-Indep: debhelper (>= 9),
                     dh-python,
                     python,
                     python-bs4,
                     python-fuzzywuzzy,
                     python-mock,
                     python-nose,
                     python-ofxclient,
                     python-ofxparse (>= 0.14),
                     python-setuptools (>= 26)
Standards-Version: 4.1.0
Homepage: https://bitbucket.org/egh/ledger-autosync
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ledger-autosync.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ledger-autosync.git

Package: ledger-autosync
Architecture: all
Depends: hledger | ledger, ${misc:Depends}, ${python:Depends}
Description: automated synchronization between OFX providers and ledger files
 ledger-autosync is a program to pull down transactions from your bank
 and create ledger transactions for them. It is designed to only
 create transactions that are not already present in your ledger files.
 This should make it comparable to some of the automated synchronization
 features available in products like GnuCash, Mint, etc.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ledger-autosync
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test-indep:

=== debian/watch ===
version=3
http://pypi.debian.net/ledger-autosync/ledger-autosync-(.*).tar.gz

## ledger-autosync 1.0.1

=== debian/changelog ===
ledger-autosync (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Antonio Terceiro ]
  * New upstream version 1.0.1 (Closes: #934800)
  * Switch to python3 (Closes: #936835)
  * Bump Standards-Version 4.4.0; no changes needed otherwise
  * debian/rules: run tests during build
  * Add autopkgtest control file to run testsuite against installed package
  * Set myself as Maintainer as agreed in private with Clin (thanks for your
    work in this so far!). Move Clint to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 04 Sep 2019 19:39:53 -0300

=== debian/control ===
Source: ledger-autosync
Section: utils
Priority: optional
Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends-Indep: debhelper (>= 9),
                     dh-python,
                     hledger,
                     ledger,
                     python3,
                     python3-bs4,
                     python3-fuzzywuzzy,
                     python3-mock,
                     python3-nose,
                     python3-ofxclient,
                     python3-ofxparse (>= 0.14),
                     python3-setuptools (>= 26),
Standards-Version: 4.4.0
Homepage: https://bitbucket.org/egh/ledger-autosync
Vcs-Git: https://salsa.debian.org/debian/ledger-autosync.git
Vcs-Browser: https://salsa.debian.org/debian/ledger-autosync

Package: ledger-autosync
Architecture: all
Depends: hledger | ledger, ${misc:Depends}, ${python3:Depends}
Description: automated synchronization between OFX providers and ledger files
 ledger-autosync is a program to pull down transactions from your bank
 and create ledger transactions for them. It is designed to only
 create transactions that are not already present in your ledger files.
 This should make it comparable to some of the automated synchronization
 features available in products like GnuCash, Mint, etc.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ledger-autosync
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test-indep:
	# FIXME remove -attr='!ledger-python' when python3-ledger is a thing
	nosetests3 --attr='!ledger-python' --verbose

=== debian/tests/control ===
Test-Command: cp -r fixtures tests ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && nosetests3 --attr='!ledger-python' --verbose
Depends: @, ledger, hledger, @builddeps@
Features: test-name=testsuite
Restrictions: allow-stderr

## ledger-autosync 1.0.2

=== debian/changelog ===
ledger-autosync (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * debian/control: Replace Build-Depends-Indep with Build-Depends
  * Bump debhelper compat level to 13
  * Bump Standars-Version to 4.5.1, no changes needed
  * Run tests against python3-ledger as well
    - Add python3-ledger as a build dependency.
    - Add debian/pybuild.testfiles to also copy fixtures into build dir.
    - Set PYTHON_KEYRING_BACKEND to avoid keyring from bringing up GUI
      keyring managers.
  * debian/rules: set TERM to avoid FTBFS on Ubuntu (Closes: #969432)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Feb 2021 12:52:49 -0300

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Antonio Terceiro <terceiro@debian.org>
 Uploaders: Clint Adams <clint@debian.org>
-Build-Depends-Indep: debhelper (>= 9),
-                     dh-python,
-                     hledger,
-                     ledger,
-                     python3,
-                     python3-bs4,
-                     python3-fuzzywuzzy,
-                     python3-mock,
-                     python3-nose,
-                     python3-ofxclient,
-                     python3-ofxparse (>= 0.14),
-                     python3-setuptools (>= 26),
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               hledger,
+               ledger,
+               python3,
+               python3-bs4,
+               python3-fuzzywuzzy,
+               python3-ledger,
+               python3-mock,
+               python3-nose,
+               python3-ofxclient,
+               python3-ofxparse (>= 0.14),
+               python3-setuptools (>= 26),
+Standards-Version: 4.5.1
 Homepage: https://bitbucket.org/egh/ledger-autosync
 Vcs-Git: https://salsa.debian.org/debian/ledger-autosync.git
 Vcs-Browser: https://salsa.debian.org/debian/ledger-autosync

=== debian/tests/control ===
Test-Command: cp -r fixtures tests ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && nosetests3 --verbose
Depends: @, ledger, hledger, @builddeps@
Features: test-name=testsuite
Restrictions: allow-stderr

## ledger-autosync 1.0.3.7.g69f30ea

=== debian/changelog ===
ledger-autosync (1.0.3.7.g69f30ea-2) unstable; urgency=medium

  * Switch build dependency to pybuild-plugin-pyproject

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 30 Dec 2021 14:47:30 -0300

ledger-autosync (1.0.3.7.g69f30ea-1) unstable; urgency=medium

  * New upstream version 1.0.3.7.g69f30ea
    - This release switched from setup.py to pyproject.toml/PEP517
  * Build-Depends: build with dh-python-pep517, test with pytest
  * autopkgtest: use pytest
  * debian/pybuild.testfiles: add pyproject.toml as it contains pytest
    configuration.
  * autopkgtest: reuse debian/pybuild.testfiles to determine which files to
    copy for testing.
  * Bump Standards-Version to 4.6.0, no changes needed
  * Build-Depends: add python3-all to make pybuild test against all supported
    python3 versions.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 14 Dec 2021 11:39:26 -0300

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,21 @@
 Uploaders: Clint Adams <clint@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                hledger,
                ledger,
                python3,
+               python3-all,
                python3-bs4,
                python3-fuzzywuzzy,
                python3-ledger,
                python3-mock,
-               python3-nose,
+               python3-poetry,
+               python3-pytest,
                python3-ofxclient,
                python3-ofxparse (>= 0.14),
                python3-setuptools (>= 26),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://bitbucket.org/egh/ledger-autosync
 Vcs-Git: https://salsa.debian.org/debian/ledger-autosync.git
 Vcs-Browser: https://salsa.debian.org/debian/ledger-autosync

=== debian/tests/control ===
Test-Command: cp -r $(cat debian/pybuild.testfiles) ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && python3 -m pytest
Depends: @, ledger, hledger, @builddeps@
Features: test-name=testsuite
Restrictions: allow-stderr

## ledger-autosync 1.0.3.22.g4edbb5b

=== debian/changelog ===
ledger-autosync (1.0.3.22.g4edbb5b-1) unstable; urgency=medium

  [ Johannes Christ ]
  * Update old repository link

  [ Antonio Terceiro ]
  * debian/copyright: update repository URL
  * New upstream version 1.0.3.22.g4edbb5b
  * Add patch to drop usage of distutils

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 27 Jul 2023 11:56:53 -0300

ledger-autosync (1.0.3.7.g69f30ea-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Add missing build-dependency on python3-poetry-core.

  [ Antonio Terceiro ]
  * Convert autopkgtest to pybuild-autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Jan 2023 15:07:12 -0300

## ledger-autosync 1.0.3.28.gcbfa04d

=== debian/changelog ===
ledger-autosync (1.0.3.28.gcbfa04d-1) unstable; urgency=medium

  * New upstream version 1.0.3.28.gcbfa04d
    - Drops usage of the imp module, removed in Python 3.12 (Closes: #1058442)
  * Drop patch, now included in upstream snapshot

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 Dec 2023 19:41:06 -0300

=== debian/control ===
--- 
+++ 
@@ -19,10 +19,12 @@
                python3-ofxclient,
                python3-ofxparse (>= 0.14),
                python3-setuptools (>= 26),
-Standards-Version: 4.6.0
-Homepage: https://bitbucket.org/egh/ledger-autosync
+               python3-poetry-core,
+Standards-Version: 4.6.2
+Homepage: https://gitlab.com/egh/ledger-autosync
 Vcs-Git: https://salsa.debian.org/debian/ledger-autosync.git
 Vcs-Browser: https://salsa.debian.org/debian/ledger-autosync
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: ledger-autosync
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export TERM=vt100
export PYBUILD_NAME=ledger-autosync
export PYTHON_KEYRING_BACKEND=keyring.backends.null.Keyring

%:
	dh $@ --with python3 --buildsystem=pybuild

## ledger-autosync 1.2.0

=== debian/changelog ===
ledger-autosync (1.2.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove obsolete dependency on python3-mock

  [ Antonio Terceiro ]
  * New upstream version 1.2.0
  * Bump Standards-Version to 4.7.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Sep 2024 20:16:05 -0300

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,13 @@
                python3-bs4,
                python3-fuzzywuzzy,
                python3-ledger,
-               python3-mock,
                python3-poetry,
                python3-pytest,
                python3-ofxclient,
                python3-ofxparse (>= 0.14),
                python3-setuptools (>= 26),
                python3-poetry-core,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/egh/ledger-autosync
 Vcs-Git: https://salsa.debian.org/debian/ledger-autosync.git
 Vcs-Browser: https://salsa.debian.org/debian/ledger-autosync

=== debian/watch ===
version=4
https://github.com/egh/ledger-autosync/tags .*/v(.*).tar.gz
